# Note that this IS a relocatable package

Name:           libmpeg2
Version:        0.5.1
Release:        3.1

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}

URL:            http://libmpeg2.sourceforge.net/
License:      GPL
Group:        Productivity/Multimedia/Video/Editors and Convertors
Summary:	A free MPEG-2 video stream decoder
Summary(de):	Ein freier MPEG-2 Videostromdecoder

%description
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video streams. It is released under the terms of the GPL license.

The main goals in libmpeg2 development are:

Conformance - libmpeg2 is able to decode all mpeg streams that conform to certain restrictions: "constrained parameters" for mpeg-1, and "main profile" for mpeg-2. In practice, this is what most people are using. For streams that follow these restrictions, we believe libmpeg2 is 100% conformant to the mpeg standards - and we have a pretty extensive test suite to check this.
Speed - there has been huge efforts there, and we believe libmpeg2 is the fastest library around for what it does. Please tell us if you find a faster one ! With typical video streams as found on DVD's, and doing only decoding with no display, you should be able to get about 110 fps on a PIII/666, or 150 fps on an Athlon/950. This is less than 20 cycles per output pixel. In a real player program, the display routines will probably take as much time as the actual decoding !
Portability - most of the code is written in C, and when we use platform-specific optimizations (typically assembly routines, currently used for the motion compensation and the inverse cosine transform stages) we always have a generic C routine to fall back on. This should be portable to all architectures - at least we have heard reports from people running this code on x86, ppc, sparc, arm and sh4. Assembly-optimized implementations are available on x86 (MMX) and ppc (altivec) architectures. Ultrasparc (VIS) is probably the next on the list - we'll see.
Reuseability - we do not want libmpeg2 to include any project-specific code, but it should still include enough features to be used by very diverse projects. We are only starting to get there - the best way to help here is to give us some feedback !

%description -l de
libmpeg2 ist eine freie Bibliothek zum dekodieren von mpeg-2 und mpeg-1 Videoströmen.

%package      devel
Summary:      libmpeg2-devel
Group:        Productivity/Multimedia/Video/Editors and Convertors
Requires:	%name = %version

%description  devel
libmpeg2-devel

%package      -n mpeg2dec
Summary:      mpeg2dec
Group:        Productivity/Multimedia/Video/Editors and Convertors

%description  -n mpeg2dec
mpeg2dec


%prep
%setup -q

%build
%{?suse_update_config -ft}
#autoreconf -vf
export CFLAGS="$RPM_OPT_FLAGS"
./configure	--prefix=%{_prefix}		\
		--libdir=%{_libdir}	\
		--mandir=%{_mandir}	\
		--enable-shared --enable-debug
make

%install
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"
make DESTDIR="%{buildroot}" install
gzip %{buildroot}%{_mandir}/man*/*
echo "### <<< files"
find %{buildroot} -type f -print	\
	| sed -e 's|%{buildroot}|    |'
echo "### >>> files"

%debug_package

%post 
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%postun
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING  README ChangeLog INSTALL NEWS TODO CodingStyle doc/*.c doc/*.txt test
%{_libdir}/libmpeg2.so.*
%{_libdir}/libmpeg2convert.so.0.0.0
%{_libdir}/libmpeg2convert.so.0


%files devel
%defattr(-,root,root)
%doc doc/*.txt doc/*.c
%{_includedir}/mpeg2dec
%{_libdir}/libmpeg2.la
%{_libdir}/libmpeg2.a
%{_libdir}/libmpeg2.so
%{_libdir}/libmpeg2convert.so
%{_libdir}/libmpeg2convert.a
%{_libdir}/libmpeg2convert.la
%{_libdir}/pkgconfig/libmpeg2.pc
%{_libdir}/pkgconfig/libmpeg2convert.pc

%files -n mpeg2dec
%defattr(-,root,root)
%{_bindir}/mpeg2dec
%{_bindir}/extract_mpeg2
%{_bindir}/corrupt_mpeg2
%{_mandir}/man1/mpeg2dec.1.gz
%{_mandir}/man1/extract_mpeg2.1.gz

%clean
test "%{buildroot}" != "" -a "%{buildroot}" != "/" &&\
	rm -rf "%{buildroot}"


%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

